# dbum gem specification
# N.B. Will be reified as a gem_package
default['dbum']['gem'] = {
  'name' => 'dbum'
}

# Group for dbum directories, files, and services
# N.B. Will be reified as a group
default['dbum']['group'] = {
  'name' => 'dbum',
  'system' => true
}

# Group for dbum directories, files, and services
# N.B. Will be reified as a user
default['dbum']['user'] = {
  'name' => 'dbum',
  'gid' => 'dbum',
  'shell' => '/bin/false',
  'system' => true
}

# Pass environment variables to dbum
default['dbum']['environment'] = {
  'USER' => 'dbum',
  'HOME' => '/tmp'
}

# Set resource limits for dbum
default['dbum']['limits'] = {
  'nofile' => '1024 1024'
}

# Pass options to dbum
default['dbum']['opts']['port'] = 4567
default['dbum']['opts']['bind'] = '0.0.0.0'
default['dbum']['opts']['environment'] = 'development'
default['dbum']['opts']['database'] = '/etc/um.db'

# Default parameters for "dbum_lookup" pseudo-resource
default['dbum']['endpoint'] = 'http://localhost:4567'