module DBum
  require 'net/http'
  require 'json'

  def dbum_lookup app, scope=node.environment, endpoint=node['dbum']['endpoint']
    results = Net::HTTP.get URI.join(endpoint, scope)
    JSON.parse(results)[app] rescue nil
  end
end

class Chef
  class Recipe
    include DBum
  end
end

class Chef
  class Resource
    include DBum
  end
end